Get withdrawal details
GET /v2/send/withdrawals/{withdrawalId}
GET
/v2/send/withdrawals/{withdrawalId}
Retrieve details of a specific withdrawal
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” withdrawalId
required
string format: uuid
d24d70a9-e1e2-4e83-ac81-cf62c2cb4c09Withdrawal ID
Responses
Section titled “ Responses ”Withdrawal details
object
id
required
Withdrawal ID
string format: uuid
d24d70a9-e1e2-4e83-ac81-cf62c2cb4c09 corridorId
required
Corridor ID
string format: uuid
d24d70a9-e1e2-4e83-ac81-cf62c2cb4c09 organisationId
required
Organisation ID
string format: uuid
d24d70a9-e1e2-4e83-ac81-cf62c2cb4c09 userId
required
User ID
string format: uuid
d24d70a9-e1e2-4e83-ac81-cf62c2cb4c09 status
required
Withdrawal status
string
amount
required
Amount in USDC
string
1000.00 currency
required
Currency code
string
USDC networkDetails
Network transaction details (e.g., contractTransactionHash, blockNumber, gasUsed)
object
payoutDetails
Payout details (e.g., payoutId, payoutReference, payoutMethod)
object
bankTransferDetails
Bank transfer details (e.g., transferReference, bankCode, clearingDate)
object
failureReason
Failure reason if failed
string
networkCompletedAt
Network completion timestamp
string format: date-time
payoutCompletedAt
Payout completion timestamp
string format: date-time
bankTransferCompletedAt
Bank transfer completion timestamp
string format: date-time
completedAt
Completion timestamp
string format: date-time
createdAt
required
Creation timestamp
string format: date-time
updatedAt
required
Last update timestamp
string format: date-time
Bad Request
Unauthorized
Forbidden
Not Found
Internal Server Error